Bug 201226 - error message prints garbage characters
error message prints garbage characters
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: quota (Show other bugs)
4.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Steve Dickson
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-03 13:45 EDT by Daniel Lipsitt
Modified: 2010-12-02 09:35 EST (History)
1 user (show)

See Also:
Fixed In Version: RHBA-2007-0289
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-07 20:17:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
fix1 (1.64 KB, patch)
2006-08-05 11:30 EDT, Amit Gud
no flags Details | Diff

  None (edit)
Description Daniel Lipsitt 2006-08-03 13:45:55 EDT
An error message from the quota command includes junk characters: (I've changed
the hostname)

quota: ñï       8       h¦ù¿òðï ¸¦ù¿ðï  0]: error while getting quota from
myhost:/export/home for 8230: Connection refused
$ quota
quota: ñ_8qXóê¿òð_¨óê¿ð_0]: error while getting quota from myhost:/export/home
for 8230: Connection refused

As you can see, the junk varies between invocations. Here is an escaped version
of the message as rendered by cat:

$ quota 2>&1 | cat -v
quota: M-q_u    8qu     XM-^PM-kM-?M-rM-I^D^HM-p_u     
^XM-^A^E^HM-(M-^PM-kM-?M-^@M-E^D^HM-p_u 0]M-^C: error while getting quota from
myhost:/export/home for 8230: Connection refused
Comment 1 Amit Gud 2006-08-05 11:30:49 EDT
Created attachment 133688 [details]
fix1

Erroneous programming. A variable declared conditionally was being used
unconditionally and effectively without initialization. Probably programmer got
confused with the variables 'name' and 'progname'. /me sympathizes.

Attached patch should take care of it.
Comment 2 Steve Dickson 2006-11-01 21:08:18 EST
fixed in quota-3.12-6.el4
fixed in quota-3.13-1.2.3.2.el5
fixed in quota-3.13-1.2.3.2.fc6
fixed in quota-3.13-1.2.3.1.fc7
Comment 3 RHEL Product and Program Management 2006-11-01 21:20:17 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 9 Red Hat Bugzilla 2007-05-07 20:17:36 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0289.html

Note You need to log in before you can comment on or make changes to this bug.